Support
CompozyOS Support HTTP endpoints.
POST
JSON request body
application/json- body
include_status?boolean|nullyes*booleanAccepted
application/json- response
operation*curl -X POST "https://example.com/api/support/bundles" \ -H "Content-Type: application/json" \ -d '{ "yes": true }'{ "operation": { "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "download_url": "string", "failure_reason": "string", "file_name": "string", "manifest": { "artifact_max_bytes": 0, "artifacts": [ { "bytes": 0, "included": true, "omitted_reason": "string", "path": "string", "redaction_version": "string", "truncated": true } ], "bundle_max_bytes": 0, "created_at": "2019-08-24T14:15:22Z", "event_summary_max_bytes": 0, "log_tail_max_bytes": 0, "operation_id": "string", "redaction_version": "string", "schema_version": "string" }, "operation_id": "string", "size_bytes": 0, "status": "string", "status_url": "string", "updated_at": "2019-08-24T14:15:22Z" }}GET
operation_id*stringSupport bundle operation id
OK
application/json- response
operation*curl -X GET "https://example.com/api/support/bundles/string"{ "operation": { "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "download_url": "string", "failure_reason": "string", "file_name": "string", "manifest": { "artifact_max_bytes": 0, "artifacts": [ { "bytes": 0, "included": true, "omitted_reason": "string", "path": "string", "redaction_version": "string", "truncated": true } ], "bundle_max_bytes": 0, "created_at": "2019-08-24T14:15:22Z", "event_summary_max_bytes": 0, "log_tail_max_bytes": 0, "operation_id": "string", "redaction_version": "string", "schema_version": "string" }, "operation_id": "string", "size_bytes": 0, "status": "string", "status_url": "string", "updated_at": "2019-08-24T14:15:22Z" }}GET
operation_id*stringSupport bundle operation id
Support bundle archive
response?unknownapplication/gzipcurl -X GET "https://example.com/api/support/bundles/string/download"null